DS_GAUSSCURVE(3)

EXPERIMENTAL_FUNC
ds_gausscurve - Write gaussian curve to an array.

SYNOPSIS
#include <karma_ds.h>

void ds_gausscurve

(double *array, CONST uaddr *offsets, unsigned int num_points, double xcentre, double peak_height, double fwhm, double background, flag inverted)

DESCRIPTION
This routine will a gaussian curve to a 1-dimensional array. This array may be used for plotting over real data to which a gaussian has been fitted with <-ds_fitgauss->.

array
    The 1-dimensional array of data.

offsets
    The array of byte offsets for the array data. If this is NULL, the array is assumed to be contiguous.

num_points
    The length of the array.

xcentre
    The centre of the profile. If this is 0 it is assumed the profile is radial (i.e. the centre is at 0).

peak_height
    The height of the fitted peak (without background subtraction).

fwhm
    The Full Width Half Maximum of the fit.

background
    The background level.

inverted
    If TRUE the object values are inverted (i.e. is negative) else the object is positive.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/